
.namespace closeupcoffre

function OnEnable()
	Reset()
end

function Reset()
--	SearchSite.OnEnable()
	contour.Flags_Visible = false
	contour2.Flags_Visible = false
	contour3.Flags_Visible = false
	contour4.Flags_Visible = false
	contour5.Flags_Visible = false
	mini_jeu_coffre_gagne.Flags_Visible = false
	mini_jeu_coffre_gagne.Text = "Félicitation, vous avez reconstitué la serrure"
	texteaide.Flags_Visible = false
	texteaide.Text = "Un peu d'aide, Matelot?"
	aidecoffre.Flags_Visible = false
	MenuMusic.Enabled = false
	OPLog.Log("OnEnable unit "..self.Name)
	numcase1=0
	numcase2=0
	cond1 = 0 --condition d'entrée pour recuperer le temps de depart du systeme d'aide
	cond2 = 0 --condition d'entrée pour afficher l'aide une fois
	tempsdaide = 60 -- temps nécessaire pour débloquer l'aide
	cond3 = 0 --condition d'entrée pour recuperer le temps de depart du melange de depart
	cond4 = 0 --condition d'entrée pour mélanger un fois dans le tableau
	tempsd1mlng = 5 -- temps entre chaque déplacement de case au depart
	selec=0
	chgt=0
	j=0
	nb=1
	tabmod = {7,5,3,16,
			  14,1,4,10,
			  11,2,15,12,
			  6,8,9,13}
end

function OnUpdate()
	
	--OPLog.Log("nb"..nb)

	
	-- mélange de départ
	
	-- if cond3 == 0 then
	-- tempsdepart1 = OPTime.GetTime()
	-- cond4 = 1
	-- end
	
	-- tempsquipasse2 = OPTime.GetTime() - tempsdepart1
	
	-- if tempsquipasse2 > tempsd1mlng and cond4 == 0 then
		
		
		-- j++
		-- cond4=0
		-- cond3=0
	-- end
	

	if selec == 2 then
	
	selec = 0	
	contour.Flags_Visible = false
	contour2.Flags_Visible = false
	contour3.Flags_Visible = false
	contour4.Flags_Visible = false
	contour5.Flags_Visible = false
	--échange des valeurs dans tabmod
		if numcase2==(numcase1+1) or numcase2==(numcase1-1) or numcase2==(numcase1+4) or numcase2==(numcase1-4) then
		chgt = tabmod[numcase1]
		tabmod[numcase1] = tabmod[numcase2]
		tabmod[numcase2] = chgt	
	
		end
	end
	
	--ut = OPUnitFactory.GetUnit("case"..tostring(i))
	
	--Systeme d'aide
	if cond1 == 0 then
	tempsdepart2 = OPTime.GetTime()
	cond1 = 1
	end
	
	tempsquipasse = OPTime.GetTime() - tempsdepart2
	--OPLog.Log("le temps passe :"..tempsquipasse)
	
	if tempsquipasse > tempsdaide and cond2 == 0 then
		texteaide.Flags_Visible = true
		aidecoffre.Flags_Visible = true
		cond2=1
	end
	
	-- montre les cases
	case1.SetFrame(tabmod[1]-1)
	case2.SetFrame(tabmod[2]-1)
	case3.SetFrame(tabmod[3]-1)
	case4.SetFrame(tabmod[4]-1)
	case5.SetFrame(tabmod[5]-1)
	case6.SetFrame(tabmod[6]-1)
	case7.SetFrame(tabmod[7]-1)
	case8.SetFrame(tabmod[8]-1)
	case9.SetFrame(tabmod[9]-1)
	case10.SetFrame(tabmod[10]-1)
	case11.SetFrame(tabmod[11]-1)
	case12.SetFrame(tabmod[12]-1)
	case13.SetFrame(tabmod[13]-1)
	case14.SetFrame(tabmod[14]-1)
	case15.SetFrame(tabmod[15]-1)
	case16.SetFrame(tabmod[16]-1)
	
	-- on parcourt le tableau pour vérifier que l'on gagne
	if tabmod[nb] == nb then
	nb=nb + 1
	else 
	nb=1
	end
	-- si on gagne on envoie un message
	if nb == 16 then
	Itsawin()
	end
	
	
	
	
end

function Itsawin() 
mini_jeu_coffre_gagne.Flags_Visible = true
end

function OnEnter() 
	--SearchInterface.Enabled = false	
	SequencePlayer.Enabled = true
	--interfaceclsp.Enabled = true
	
end

function OnPickObject(objname)
		
end

function OnSearchEnd(typesearch)

end

function CondSpecificToFinish() -- Penser à comprendre à quoi ça sert

end